description

# MediaStreamTrack class Null safety

Inheritance
  - Object
  - EventTarget
  - MediaStreamTrack
Implementers
  - CanvasCaptureMediaStreamTrack
Annotations
  - @SupportedBrowser(SupportedBrowser.CHROME)
  - @Native("MediaStreamTrack")

## Properties

contentHint ↔ String?
  read / write
enabled ↔ bool?
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
id → String?
  read-only
kind → String?
  read-only
label → String?
  read-only
muted → bool?
  read-only
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onEnded → Stream<Event>
  Stream of `ended` events handled by this MediaStreamTrack.
  read-only
onMute → Stream<Event>
  Stream of `mute` events handled by this MediaStreamTrack.
  read-only
onUnmute → Stream<Event>
  Stream of `unmute` events handled by this MediaStreamTrack.
  read-only
readyState → String?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
applyConstraints([Map? constraints]) → Future
clone() → MediaStreamTrack
dispatchEvent(Event event) → bool
  inherited
getCapabilities() → Map
getConstraints() → Map
getSettings() → Map
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
stop() → void
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

endedEvent → const EventStreamProvider<Event>
  Static factory designed to expose `ended` events to event handlers that are not necessarily instances of MediaStreamTrack. [...]
  `const EventStreamProvider<Event>('ended')`
muteEvent → const EventStreamProvider<Event>
  Static factory designed to expose `mute` events to event handlers that are not necessarily instances of MediaStreamTrack. [...]
  `const EventStreamProvider<Event>('mute')`
unmuteEvent → const EventStreamProvider<Event>
  Static factory designed to expose `unmute` events to event handlers that are not necessarily instances of MediaStreamTrack. [...]
  `const EventStreamProvider<Event>('unmute')`